<?php
/**
 * The Gallery template to display posts
 *
 * Used for index/archive/search.
 *
 * @package WordPress
 * @subpackage STEPHANIE_KING
 * @since STEPHANIE_KING 1.0
 */

$stephanie_king_blog_style = explode('_', stephanie_king_get_theme_option('blog_style'));
$stephanie_king_columns = empty($stephanie_king_blog_style[1]) ? 2 : max(2, $stephanie_king_blog_style[1]);
$stephanie_king_post_format = get_post_format();
$stephanie_king_post_format = empty($stephanie_king_post_format) ? 'standard' : str_replace('post-format-', '', $stephanie_king_post_format);
$stephanie_king_animation = stephanie_king_get_theme_option('blog_animation');
$stephanie_king_image = wp_get_attachment_image_src( get_post_thumbnail_id(get_the_ID()), 'full' );

?><article id="post-<?php the_ID(); ?>" 
	<?php post_class( 'post_item post_layout_portfolio post_layout_gallery post_layout_gallery_'.esc_attr($stephanie_king_columns).' post_format_'.esc_attr($stephanie_king_post_format) ); ?>
	<?php echo (!stephanie_king_is_off($stephanie_king_animation) ? ' data-animation="'.esc_attr(stephanie_king_get_animation_classes($stephanie_king_animation)).'"' : ''); ?>
	data-size="<?php if (!empty($stephanie_king_image[1]) && !empty($stephanie_king_image[2])) echo intval($stephanie_king_image[1]) .'x' . intval($stephanie_king_image[2]); ?>"
	data-src="<?php if (!empty($stephanie_king_image[0])) echo esc_url($stephanie_king_image[0]); ?>"
	>

	<?php

	// Sticky label
	if ( is_sticky() && !is_paged() ) {
		?><span class="post_label label_sticky"></span><?php
	}

	// Featured image
	$stephanie_king_image_hover = 'icon';
	if (in_array($stephanie_king_image_hover, array('icons', 'zoom'))) $stephanie_king_image_hover = 'dots';
	stephanie_king_show_post_featured(array(
		'hover' => $stephanie_king_image_hover,
		'thumb_size' => stephanie_king_get_thumb_size( strpos(stephanie_king_get_theme_option('body_style'), 'full')!==false || $stephanie_king_columns < 3 ? 'masonry-big' : 'masonry' ),
		'thumb_only' => true,
		'show_no_image' => true,
		'post_info' => '<div class="post_details">'
							. '<h2 class="post_title"><a href="'.esc_url(get_permalink()).'">'. esc_html(get_the_title()) . '</a></h2>'
							. '<div class="post_description">'
								. stephanie_king_show_post_meta(apply_filters('stephanie_king_filter_post_meta_args', array(
									'components' => 'categories,date,counters,share',
									'counters' => 'comments',
									'seo' => false,
									'echo' => false
									), $stephanie_king_blog_style[0], $stephanie_king_columns))
								. '<div class="post_description_content">'
									. apply_filters('the_excerpt', get_the_excerpt())
								. '</div>'
								. '<a href="'.esc_url(get_permalink()).'" class="theme_button post_readmore"><span class="post_readmore_label">' . esc_html__('Learn more', 'stephanie-king') . '</span></a>'
							. '</div>'
						. '</div>'
	));
	?>
</article>