<?php
/**
 * The Sticky template to display the sticky posts
 *
 * Used for index/archive
 *
 * @package WordPress
 * @subpackage STEPHANIE_KING
 * @since STEPHANIE_KING 1.0
 */

$stephanie_king_columns = max(1, min(3, count(get_option( 'sticky_posts' ))));
$stephanie_king_post_format = get_post_format();
$stephanie_king_post_format = empty($stephanie_king_post_format) ? 'standard' : str_replace('post-format-', '', $stephanie_king_post_format);
$stephanie_king_animation = stephanie_king_get_theme_option('blog_animation');

?><div class="column-1_<?php echo esc_attr($stephanie_king_columns); ?>"><article id="post-<?php the_ID(); ?>" 
	<?php post_class( 'post_item post_layout_sticky post_format_'.esc_attr($stephanie_king_post_format) ); ?>
	<?php echo (!stephanie_king_is_off($stephanie_king_animation) ? ' data-animation="'.esc_attr(stephanie_king_get_animation_classes($stephanie_king_animation)).'"' : ''); ?>
	>

	<?php
	if ( is_sticky() && is_home() && !is_paged() ) {
		?><span class="post_label label_sticky"></span><?php
	}

	// Featured image
	stephanie_king_show_post_featured(array(
		'thumb_size' => stephanie_king_get_thumb_size($stephanie_king_columns==1 ? 'big' : ($stephanie_king_columns==2 ? 'med' : 'avatar'))
	));

	if ( !in_array($stephanie_king_post_format, array('link', 'aside', 'status', 'quote')) ) {
		?>
		<div class="post_header entry-header">
			<?php
			// Post title
			the_title( sprintf( '<h6 class="post_title entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h6>' );
			// Post meta
			stephanie_king_show_post_meta(apply_filters('stephanie_king_filter_post_meta_args', array(), 'sticky', $stephanie_king_columns));
			?>
		</div><!-- .entry-header -->
		<?php
	}
	?>
</article></div>