<?php
/* Booked Appointments support functions
------------------------------------------------------------------------------- */

// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if (!function_exists('stephanie_king_booked_theme_setup9')) {
	add_action( 'after_setup_theme', 'stephanie_king_booked_theme_setup9', 9 );
	function stephanie_king_booked_theme_setup9() {
		if (stephanie_king_exists_booked()) {
			add_action( 'wp_enqueue_scripts', 							'stephanie_king_booked_frontend_scripts', 1100 );
			add_filter( 'stephanie_king_filter_merge_styles',					'stephanie_king_booked_merge_styles' );
		}
		if (is_admin()) {
			add_filter( 'stephanie_king_filter_tgmpa_required_plugins',		'stephanie_king_booked_tgmpa_required_plugins' );
		}
	}
}

// Check if plugin installed and activated
if ( !function_exists( 'stephanie_king_exists_booked' ) ) {
	function stephanie_king_exists_booked() {
		return class_exists('booked_plugin');
	}
}

// Filter to add in the required plugins list
if ( !function_exists( 'stephanie_king_booked_tgmpa_required_plugins' ) ) {
	//Handler of the add_filter('stephanie_king_filter_tgmpa_required_plugins',	'stephanie_king_booked_tgmpa_required_plugins');
	function stephanie_king_booked_tgmpa_required_plugins($list=array()) {
		if (in_array('booked', stephanie_king_storage_get('required_plugins'))) {
			$path = stephanie_king_get_file_dir('plugins/booked/booked.zip');
			$list[] = array(
					'name' 		=> esc_html__('Booked Appointments', 'stephanie-king'),
					'slug' 		=> 'booked',
					'version'	=> '2.2.5',
					'source' 	=> !empty($path) ? $path : 'upload://booked.zip',
					'required' 	=> false
			);
		}
		return $list;
	}
}
	
// Enqueue plugin's custom styles
if ( !function_exists( 'stephanie_king_booked_frontend_scripts' ) ) {
	//Handler of the add_action( 'wp_enqueue_scripts', 'stephanie_king_booked_frontend_scripts', 1100 );
	function stephanie_king_booked_frontend_scripts() {
		if (stephanie_king_is_on(stephanie_king_get_theme_option('debug_mode')) && stephanie_king_get_file_dir('plugins/booked/booked.css')!='')
			wp_enqueue_style( 'stephanie-king-booked',  stephanie_king_get_file_url('plugins/booked/booked.css'), array(), null );
	}
}
	
// Merge custom styles
if ( !function_exists( 'stephanie_king_booked_merge_styles' ) ) {
	//Handler of the add_filter('stephanie_king_filter_merge_styles', 'stephanie_king_booked_merge_styles');
	function stephanie_king_booked_merge_styles($list) {
		$list[] = 'plugins/booked/booked.css';
		return $list;
	}
}


// Add plugin-specific colors and fonts to the custom CSS
if (stephanie_king_exists_booked()) { require_once STEPHANIE_KING_THEME_DIR . 'plugins/booked/booked.styles.php'; }
?>