<?php
/* Elegro Crypto Payment support functions
------------------------------------------------------------------------------- */

// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if ( ! function_exists( 'stephanie_king_elegro_payment_theme_setup9' ) ) {
	add_action( 'after_setup_theme', 'stephanie_king_elegro_payment_theme_setup9', 9 );
	function stephanie_king_elegro_payment_theme_setup9() {
		if ( stephanie_king_exists_elegro_payment() ) {
			add_filter( 'stephanie_king_filter_merge_styles', 'stephanie_king_elegro_payment_merge_styles' );
		}
		if ( is_admin() ) {
			add_filter( 'stephanie_king_filter_tgmpa_required_plugins', 'stephanie_king_elegro_payment_tgmpa_required_plugins' );
		}
	}
}

// Filter to add in the required plugins list
if ( ! function_exists( 'stephanie_king_elegro_payment_tgmpa_required_plugins' ) ) {
	function stephanie_king_elegro_payment_tgmpa_required_plugins( $list = array() ) {
		if (in_array('elegro-payment', stephanie_king_storage_get('required_plugins')))
			$list[] = array(
				'name' 		=> esc_html__('elegro Crypto Payment', 'stephanie-king'),
				'slug' 		=> 'elegro-payment',
				'required' 	=> false
			);
		return $list;
	}
}

// Check if this plugin installed and activated
if ( ! function_exists( 'stephanie_king_exists_elegro_payment' ) ) {
	function stephanie_king_exists_elegro_payment() {
		return class_exists( 'WC_Elegro_Payment' );
	}
}

// Merge custom styles
if ( ! function_exists( 'stephanie_king_elegro_payment_merge_styles' ) ) {
	function stephanie_king_elegro_payment_merge_styles( $list ) {
		$list[] = 'plugins/elegro-payment/elegro-payment.css';
		return $list;
	}
}