<?php
/* Revolution Slider support functions
------------------------------------------------------------------------------- */

// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if (!function_exists('stephanie_king_revslider_theme_setup9')) {
	add_action( 'after_setup_theme', 'stephanie_king_revslider_theme_setup9', 9 );
	function stephanie_king_revslider_theme_setup9() {
		if (stephanie_king_exists_revslider()) {
			add_action( 'wp_enqueue_scripts', 					'stephanie_king_revslider_frontend_scripts', 1100 );
			add_filter( 'stephanie_king_filter_merge_styles',			'stephanie_king_revslider_merge_styles' );
		}
		if (is_admin()) {
			add_filter( 'stephanie_king_filter_tgmpa_required_plugins','stephanie_king_revslider_tgmpa_required_plugins' );
		}
	}
}

// Check if RevSlider installed and activated
if ( !function_exists( 'stephanie_king_exists_revslider' ) ) {
	function stephanie_king_exists_revslider() {
		return function_exists('rev_slider_shortcode');
	}
}

// Filter to add in the required plugins list
if ( !function_exists( 'stephanie_king_revslider_tgmpa_required_plugins' ) ) {
	//Handler of the add_filter('stephanie_king_filter_tgmpa_required_plugins',	'stephanie_king_revslider_tgmpa_required_plugins');
	function stephanie_king_revslider_tgmpa_required_plugins($list=array()) {
		if (in_array('revslider', stephanie_king_storage_get('required_plugins'))) {
			$path = stephanie_king_get_file_dir('plugins/revslider/revslider.zip');
			$list[] = array(
					'name' 		=> esc_html__('Revolution Slider', 'stephanie-king'),
					'slug' 		=> 'revslider',
					'version'	=> '6.1.5',
					'source'	=> !empty($path) ? $path : 'upload://revslider.zip',
					'required' 	=> false
			);
		}
		return $list;
	}
}
	
// Enqueue custom styles
if ( !function_exists( 'stephanie_king_revslider_frontend_scripts' ) ) {
	//Handler of the add_action( 'wp_enqueue_scripts', 'stephanie_king_revslider_frontend_scripts', 1100 );
	function stephanie_king_revslider_frontend_scripts() {
		if (stephanie_king_is_on(stephanie_king_get_theme_option('debug_mode')) && stephanie_king_get_file_dir('plugins/revslider/revslider.css')!='')
			wp_enqueue_style( 'stephanie-king-revslider',  stephanie_king_get_file_url('plugins/revslider/revslider.css'), array(), null );
	}
}
	
// Merge custom styles
if ( !function_exists( 'stephanie_king_revslider_merge_styles' ) ) {
	//Handler of the add_filter('stephanie_king_filter_merge_styles', 'stephanie_king_revslider_merge_styles');
	function stephanie_king_revslider_merge_styles($list) {
		$list[] = 'plugins/revslider/revslider.css';
		return $list;
	}
}
?>