<?php
// Add plugin-specific colors and fonts to the custom CSS
if ( !function_exists( 'stephanie_king_tribe_events_get_css' ) ) {
	add_filter( 'stephanie_king_filter_get_css', 'stephanie_king_tribe_events_get_css', 10, 4 );
	function stephanie_king_tribe_events_get_css($css, $colors, $fonts, $scheme='') {
		if (isset($css['fonts']) && $fonts) {
			$css['fonts'] .= <<<CSS
			
.tribe-events-list .tribe-events-list-event-title {
	{$fonts['h3_font-family']}
}

#tribe-events .tribe-events-button,
.tribe-events-button,
.tribe-events-cal-links a,
.tribe-events-sub-nav li a {
	{$fonts['button_font-family']}
	{$fonts['button_font-size']}
	{$fonts['button_font-weight']}
	{$fonts['button_font-style']}
	{$fonts['button_line-height']}
	{$fonts['button_text-decoration']}
	{$fonts['button_text-transform']}
	{$fonts['button_letter-spacing']}
}
#tribe-bar-form button, #tribe-bar-form a,
.tribe-events-read-more {
	{$fonts['button_font-family']}
	{$fonts['button_letter-spacing']}
}
.tribe-events-list .tribe-events-list-separator-month,
.tribe-events-calendar thead th,
.tribe-events-schedule, .tribe-events-schedule h2 {
	{$fonts['h5_font-family']}
}
#tribe-bar-form input, #tribe-events-content.tribe-events-month,
#tribe-events-content .tribe-events-calendar div[id*="tribe-events-event-"] h3.tribe-events-month-event-title,
#tribe-mobile-container .type-tribe_events,
.tribe-events-list-widget ol li .tribe-event-title {
	{$fonts['p_font-family']}
}
.tribe-events-loop .tribe-event-schedule-details,
.single-tribe_events #tribe-events-content .tribe-events-event-meta dt,
#tribe-mobile-container .type-tribe_events .tribe-event-date-start {
	{$fonts['info_font-family']};
}

CSS;

			
			$rad = stephanie_king_get_border_radius();
			$css['fonts'] .= <<<CSS

#tribe-bar-form .tribe-bar-submit input[type="submit"], #tribe-bar-form button, #tribe-bar-form a,
#tribe-events .tribe-events-button,
#tribe-bar-views .tribe-bar-views-list,
.tribe-events-button,
.tribe-events-cal-links a,
.tribe-events-sub-nav li a {
}

CSS;
		}


		if (isset($css['colors']) && $colors) {
			$css['colors'] .= <<<CSS

/* Filters bar */
#tribe-bar-form {
	color: {$colors['text_dark']};
}
#tribe-bar-form label {
	color: {$colors['inverse_link']};
}
#tribe-bar-form input[type="text"] {
	color: {$colors['inverse_link']};
	border-color: {$colors['inverse_link_05']};
}
#tribe-bar-form input[type="text"]:focus {
	border-color: {$colors['inverse_link']};
}
.tribe-bar-views-list {
	background-color: {$colors['alter_bg_color']};
}
#tribe-bar-views .tribe-bar-views-list {
	background-color: {$colors['alter_bg_color']};
}
#tribe-events-bar > form .tribe-bar-views .tribe-bar-views-list:before,
#tribe-events-bar > form .tribe-bar-views .tribe-bar-views-list:after {
	border-color: {$colors['inverse_link']};
}
#tribe-events-bar > form .tribe-bar-views .tribe-bar-views-list li a{
	color: {$colors['text_link']};	
}
#tribe-events-bar > form .tribe-bar-views .tribe-bar-views-list .tribe-bar-views-option.tribe-bar-active a:hover{
	color: {$colors['inverse_link']};
	background-color: transparent;
}
#tribe-events-bar > form .tribe-bar-views .tribe-bar-views-list .tribe-bar-views-option.tribe-bar-active a:after,
#tribe-events-bar > form .tribe-bar-views .tribe-bar-views-list .tribe-bar-views-option.tribe-bar-active a:before{
	border-color: {$colors['text_link4']};
}
#tribe-events-bar > form .tribe-bar-views .tribe-bar-views-list .tribe-bar-views-option.tribe-bar-active a:hover::after,
#tribe-events-bar > form .tribe-bar-views .tribe-bar-views-list .tribe-bar-views-option.tribe-bar-active a:hover::before{
	border-color: {$colors['text_hover4']};
}
#tribe-bar-views li.tribe-bar-views-option a,
#tribe-events-bar > form .tribe-bar-views .tribe-bar-views-list .tribe-bar-views-option.tribe-bar-active a{
	color: {$colors['inverse_link']};
	background-color: transparent;
	border-color: {$colors['text_link4']};
}
#tribe-bar-views .tribe-bar-views-list .tribe-bar-views-option.tribe-bar-active a:hover,
#tribe-bar-views li.tribe-bar-views-option a:hover,
#tribe-events-bar > form .tribe-bar-views .tribe-bar-views-list .tribe-bar-views-option.tribe-bar-active a:hover{
	color: {$colors['inverse_link']};
	background-color: transparent;
	border-color: {$colors['text_link4']};
}
#tribe-bar-views .tribe-bar-views-option {
	color: {$colors['inverse_link']};
}

#tribe-bar-views .tribe-bar-views-option:hover,
#tribe-bar-views .tribe-bar-views-option.tribe-bar-active {
	background-color: {$colors['text_link']};
}
#tribe-events-bar > form .tribe-bar-filters .tribe-bar-filters-inner .tribe-bar-submit input{
	color: {$colors['inverse_link']};
	background-color: transparent;
}
#tribe-events-bar > form .tribe-bar-filters .tribe-bar-filters-inner .tribe-bar-submit:hover input{
	color: {$colors['text_link4']};
}

#tribe-events-bar > form .tribe-bar-filters .tribe-bar-filters-inner .tribe-bar-submit:before,
#tribe-events-bar > form .tribe-bar-filters .tribe-bar-filters-inner .tribe-bar-submit:after{
	border-color: {$colors['inverse_link']};
}
#tribe-events-bar > form .tribe-bar-filters .tribe-bar-filters-inner .tribe-bar-submit:hover::before,
#tribe-events-bar > form .tribe-bar-filters .tribe-bar-filters-inner .tribe-bar-submit:hover::after{
	border-color: {$colors['text_link4']};
}

.datepicker thead tr:first-child th:hover, .datepicker tfoot tr th:hover {
	color: {$colors['text_link']};
	background: {$colors['inverse_link']};
}

#tribe-bar-views #tribe-bar-views-toggle {
	background: {$colors['bg_color']};
}
#tribe-bar-views #tribe-bar-views-toggle:hover {
	background: {$colors['text_link']};
}

#tribe-bar-form.tribe-bar-collapse .tribe-bar-filters {
	background: {$colors['alter_bg_color']};
}


/* Content */
.tribe-events-calendar thead th {
	color: {$colors['inverse_link']};
	border-color: {$colors['bd_color']} !important;
}
.tribe-events-calendar thead th {
}
.tribe-events-calendar thead th + th:before {
	background: {$colors['bg_color']};
}
#tribe-events-content .tribe-events-calendar td {
	border-color: {$colors['bd_color']} !important;
}
.tribe-events-calendar td div[id*="tribe-events-daynum-"],
.tribe-events-calendar td div[id*="tribe-events-daynum-"] > a {
	color: {$colors['text_dark']};
}
.tribe-events-calendar td.tribe-events-othermonth {
	color: {$colors['alter_light']};
	background: {$colors['alter_bg_color_029']} !important;
}
.tribe-events-calendar td.tribe-events-othermonth div[id*="tribe-events-daynum-"],
.tribe-events-calendar td.tribe-events-othermonth div[id*="tribe-events-daynum-"] > a {
	color: {$colors['alter_light']};
}
.tribe-events-calendar td.tribe-events-past div[id*="tribe-events-daynum-"], .tribe-events-calendar td.tribe-events-past div[id*="tribe-events-daynum-"] > a {
	color: {$colors['text_light']};
}
.tribe-events-calendar td.tribe-events-present div[id*="tribe-events-daynum-"],
.tribe-events-calendar td.tribe-events-present div[id*="tribe-events-daynum-"] > a {
	color: {$colors['text_link']};
}
.tribe-events-calendar td.tribe-events-present:before {
	border-color: {$colors['text_link']};
}
.tribe-events-calendar .tribe-events-has-events:after {
	background-color: {$colors['text']};
}
.tribe-events-calendar .mobile-active.tribe-events-has-events:after {
	background-color: {$colors['bg_color']};
}
#tribe-events-content .tribe-events-calendar td,
#tribe-events-content .tribe-events-calendar div[id*="tribe-events-event-"] h3.tribe-events-month-event-title a {
	color: {$colors['text_dark']};
}
#tribe-events-content .tribe-events-calendar div[id*="tribe-events-event-"] h3.tribe-events-month-event-title a:hover {
	color: {$colors['text_link']};
}
#tribe-events-content .tribe-events-calendar td.mobile-active,
#tribe-events-content .tribe-events-calendar td.mobile-active:hover {
	color: {$colors['inverse_link']};
	background-color: {$colors['text_link']};
}
#tribe-events-content .tribe-events-calendar td.mobile-active div[id*="tribe-events-daynum-"] {
	color: {$colors['bg_color']};
	background-color: {$colors['text_dark']};
}
#tribe-events-content .tribe-events-calendar td.tribe-events-othermonth.mobile-active div[id*="tribe-events-daynum-"] a,
.tribe-events-calendar .mobile-active div[id*="tribe-events-daynum-"] a {
	background-color: transparent;
	color: {$colors['bg_color']};
}

#tribe-events-content .tribe-events-calendar td {
	background-color: transparent;
}


/* Tooltip */
.recurring-info-tooltip,
.tribe-events-calendar .tribe-events-tooltip,
.tribe-events-week .tribe-events-tooltip,
.tribe-events-tooltip .tribe-events-arrow {
	color: {$colors['alter_text']};
	background: {$colors['bg_color']};
}
#tribe-events-content .tribe-events-tooltip h4 { 
	color: {$colors['inverse_link']};
	background: {$colors['text_dark']};
}
.tribe-events-tooltip .tribe-event-duration {
	color: {$colors['text_light']};
}

.tribe-events-tooltip .tribe-events-event-body {
	border-color: {$colors['bd_color']};
}

.tribe-events-calendar .tribe-events-tooltip,
.tribe-events-calendar .tribe-events-tooltip .tribe-events-event-body .tribe-events-arrow {
	border-color: {$colors['bd_color']};
}

/* Events list */
.tribe-events-list-separator-month {
	color: {$colors['text_dark']};
}
.tribe-events-list-separator-month:after {
	border-color: {$colors['bd_color']};
}
.tribe-events-list .type-tribe_events + .type-tribe_events {
	border-color: {$colors['bd_color']};
}
.tribe-events-list .tribe-events-event-cost span {
	color: {$colors['bg_color']};
	border-color: {$colors['text_dark']};
	background: {$colors['text_dark']};
}
.tribe-mobile .tribe-events-loop .tribe-events-event-meta {
	color: {$colors['inverse_link']};
	border-color: {$colors['alter_bd_color']};
	background-color: {$colors['alter_bg_color']};
}
.tribe-mobile .tribe-events-loop .tribe-events-event-meta a {
	color: {$colors['inverse_link']};
}
.tribe-mobile .tribe-events-loop .tribe-events-event-meta a:hover {
	color: {$colors['alter_hover']};
}
.tribe-mobile .tribe-events-list .tribe-events-venue-details {
	border-color: {$colors['alter_bd_color']};
}

/* Events day */
.tribe-events-day .tribe-events-day-time-slot h5 {
	color: {$colors['bg_color']};
	background: {$colors['text_dark']};
}

/* Single Event */
.single-tribe_events .tribe-events-venue-map {
	color: {$colors['alter_text']};
	border-color: {$colors['alter_bd_hover']};
	background: {$colors['alter_bg_hover']};
}
.single-tribe_events .tribe-events-schedule .tribe-events-cost {
	color: {$colors['text_dark']};
}
.single-tribe_events .type-tribe_events {
	border-color: {$colors['bd_color']};
}

#tribe-events-bar {
	background-color: {$colors['alter_bg_color']};
}

#tribe-bar-form input[type="text"]::-webkit-input-placeholder {color: {$colors['inverse_link']};}
#tribe-bar-form input[type="text"]::-moz-placeholder          {color: {$colors['inverse_link']};}
#tribe-bar-form input[type="text"]:-moz-placeholder           {color: {$colors['inverse_link']};}
#tribe-bar-form input[type="text"]:-ms-input-placeholder      {color: {$colors['inverse_link']};}

#tribe-bar-collapse-toggle{
	color: {$colors['inverse_link']};
}
#tribe-bar-collapse-toggle:hover{
	color: {$colors['text_link']};
}
#tribe-bar-collapse-toggle:before,
#tribe-bar-collapse-toggle:after,
.tribe-bar-views-list:after,
.tribe-bar-views-list:before,
.tribe-bar-submit:before,
.tribe-bar-submit:after{
	border-color: {$colors['inverse_link']};
}
#tribe-bar-collapse-toggle:hover::before,
#tribe-bar-collapse-toggle:hover::after,
.tribe-bar-views-list:hover::after,
.tribe-bar-views-list:hover::before,
.tribe-bar-submit:hover::before,
.tribe-bar-submit:hover::after{
	border-color: {$colors['text_link']};
}

#tribe-bar-form.tribe-bar-mini .tribe-bar-submit input[type="submit"],
.tribe-events-cal-links a,
.tribe-events-sub-nav li a{
	color: {$colors['text_link4']};
	background-color: transparent;
}
#tribe-bar-views li.tribe-bar-views-option a:after,
#tribe-bar-views li.tribe-bar-views-option a:before,
#tribe-events .tribe-events-button:after,
#tribe-events .tribe-events-button:before,
.tribe-events-sub-nav li a:after,
.tribe-events-sub-nav li a:before{
	border-color: {$colors['text_link4']};
}
#tribe-bar-views li.tribe-bar-views-option a:hover::after,
#tribe-bar-views li.tribe-bar-views-option a:hover::before,
#tribe-events .tribe-events-button:hover::after,
#tribe-events .tribe-events-button:hover::before,
.tribe-events-button:hover::after,
.tribe-events-button:hover::before,
.tribe-events-sub-nav li a:hover::before,
.tribe-events-sub-nav li a:hover::after{
	border-color: {$colors['text_hover4']};
}

.tribe-events-button {
	color: {$colors['text_link4']};
	background-color: transparent;
	border-color: {$colors['text_link4']};
}

#tribe-bar-form .tribe-bar-submit input[type="submit"],
#tribe-events .tribe-events-button {
	border-color: {$colors['text_link4']};
	background-color: transparent;
	color: {$colors['inverse_link']};
	
}
#tribe-bar-form .tribe-bar-submit input[type="submit"]:hover,
#tribe-events .tribe-events-button:hover {
	border-color: {$colors['text_link4']};
	background-color: transparent;
	color: {$colors['inverse_link']};
	
}


#tribe-bar-form.tribe-bar-mini .tribe-bar-submit input[type="submit"]:hover,
#tribe-bar-form.tribe-bar-mini .tribe-bar-submit input[type="submit"]:focus,
.tribe-events-cal-links a:hover,
.tribe-events-sub-nav li a:hover{
	color: {$colors['text_hover4']};
	background-color: transparent;
	border-color: {$colors['text_hover4']};
}
#tribe-bar-views li.tribe-bar-views-option a:hover,
#tribe-bar-form .tribe-bar-submit input[type="submit"]:hover,
#tribe-bar-form .tribe-bar-submit input[type="submit"]:focus,
#tribe-events .tribe-events-button:hover,
.tribe-events-button:hover{
	color: {$colors['text_hover4']};
	background-color: transparent;
}
.tribe-events-calendar td div[id*="tribe-events-daynum-"] {
	color: {$colors['text_link4']};
}
.scheme_default .tribe-events-calendar td.tribe-events-othermonth div[id*="tribe-events-daynum-"] {
	color: {$colors['text_dark']};
}

#tribe-events #tribe-events-content-wrapper #tribe-events-content .tribe-events-ical.tribe-events-button {
	color: {$colors['text_link4']};
}
#tribe-events #tribe-events-content-wrapper #tribe-events-content .tribe-events-ical.tribe-events-button:hover {
	color: {$colors['text_hover4']};
}
#tribe-events #tribe-events-content-wrapper #tribe-events-content .tribe-events-ical.tribe-events-button:before,
#tribe-events #tribe-events-content-wrapper #tribe-events-content .tribe-events-ical.tribe-events-button:after {
	border-color: {$colors['text_link4']};
}
#tribe-events #tribe-events-content-wrapper #tribe-events-content .tribe-events-ical.tribe-events-button:hover::before,
#tribe-events #tribe-events-content-wrapper #tribe-events-content .tribe-events-ical.tribe-events-button:hover::after {
	border-color: {$colors['text_hover4']};
}


CSS;
		}
		
		return $css;
	}
}
?>