<?php
/**
 * The Sidebar containing the main widget areas.
 *
 * @package WordPress
 * @subpackage STEPHANIE_KING
 * @since STEPHANIE_KING 1.0
 */

$stephanie_king_sidebar_position = stephanie_king_get_theme_option('sidebar_position');
if (stephanie_king_sidebar_present()) {
	ob_start();
	$stephanie_king_sidebar_name = stephanie_king_get_theme_option('sidebar_widgets');
	stephanie_king_storage_set('current_sidebar', 'sidebar');
	if ( is_active_sidebar($stephanie_king_sidebar_name) ) {
		dynamic_sidebar($stephanie_king_sidebar_name);
	}
	$stephanie_king_out = trim(ob_get_contents());
	ob_end_clean();
	if (!empty($stephanie_king_out)) {
		?>
		<div class="sidebar <?php echo esc_attr($stephanie_king_sidebar_position); ?> widget_area<?php if (!stephanie_king_is_inherit(stephanie_king_get_theme_option('sidebar_scheme'))) echo ' scheme_'.esc_attr(stephanie_king_get_theme_option('sidebar_scheme')); ?>" role="complementary">
			<div class="sidebar_inner">
				<?php
				do_action( 'stephanie_king_action_before_sidebar' );
				stephanie_king_show_layout(preg_replace("/<\/aside>[\r\n\s]*<aside/", "</aside><aside", $stephanie_king_out));
				do_action( 'stephanie_king_action_after_sidebar' );
				?>
			</div><!-- /.sidebar_inner -->
		</div><!-- /.sidebar -->
		<?php
	}
}
?>