<?php
/**
 * The template to display default site footer
 *
 * @package WordPress
 * @subpackage STEPHANIE_KING
 * @since STEPHANIE_KING 1.0.10
 */

$stephanie_king_footer_scheme =  stephanie_king_is_inherit(stephanie_king_get_theme_option('footer_scheme')) ? stephanie_king_get_theme_option('color_scheme') : stephanie_king_get_theme_option('footer_scheme');
$stephanie_king_footer_id = str_replace('footer-custom-', '', stephanie_king_get_theme_option("footer_style"));
if ((int) $stephanie_king_footer_id == 0) {
	$stephanie_king_footer_id = stephanie_king_get_post_id(array(
			'name' => $stephanie_king_footer_id,
			'post_type' => defined('TRX_ADDONS_CPT_LAYOUTS_PT') ? TRX_ADDONS_CPT_LAYOUTS_PT : 'cpt_layouts'
		)
	);
} else {
	$stephanie_king_footer_id = apply_filters('trx_addons_filter_get_translated_layout', $stephanie_king_footer_id);
}
$stephanie_king_footer_meta = get_post_meta($stephanie_king_footer_id, 'trx_addons_options', true);
?>
<footer class="footer_wrap footer_custom footer_custom_<?php echo esc_attr($stephanie_king_footer_id); 
						?> footer_custom_<?php echo esc_attr(sanitize_title(get_the_title($stephanie_king_footer_id))); 
						if (!empty($stephanie_king_footer_meta['margin']) != '') 
							echo ' '.esc_attr(stephanie_king_add_inline_css_class('margin-top: '.esc_attr(stephanie_king_prepare_css_value($stephanie_king_footer_meta['margin'])).';'));
						?> scheme_<?php echo esc_attr($stephanie_king_footer_scheme); 
						?>">
	<?php
    // Custom footer's layout
    do_action('stephanie_king_action_show_layout', $stephanie_king_footer_id);
	?>
</footer><!-- /.footer_wrap -->
