<?php
/**
 * The template to display the site logo in the footer
 *
 * @package WordPress
 * @subpackage STEPHANIE_KING
 * @since STEPHANIE_KING 1.0.10
 */

// Logo
if (stephanie_king_is_on(stephanie_king_get_theme_option('logo_in_footer'))) {
	$stephanie_king_logo_image = '';
	if (stephanie_king_get_retina_multiplier(2) > 1)
		$stephanie_king_logo_image = stephanie_king_get_theme_option( 'logo_footer_retina' );
	if (empty($stephanie_king_logo_image)) 
		$stephanie_king_logo_image = stephanie_king_get_theme_option( 'logo_footer' );
	$stephanie_king_logo_text   = get_bloginfo( 'name' );
	if (!empty($stephanie_king_logo_image) || !empty($stephanie_king_logo_text)) {
		?>
		<div class="footer_logo_wrap">
			<div class="footer_logo_inner">
				<?php
				if (!empty($stephanie_king_logo_image)) {
					$stephanie_king_attr = stephanie_king_getimagesize($stephanie_king_logo_image);
					echo '<a href="'.esc_url(home_url('/')).'"><img src="'.esc_url($stephanie_king_logo_image).'" class="logo_footer_image" alt="'.esc_attr__('logo', 'stephanie-king').'"'.(!empty($stephanie_king_attr[3]) ? sprintf(' %s', $stephanie_king_attr[3]) : '').'></a>' ;
				} else if (!empty($stephanie_king_logo_text)) {
					echo '<h1 class="logo_footer_text"><a href="'.esc_url(home_url('/')).'">' . esc_html($stephanie_king_logo_text) . '</a></h1>';
				}
				?>
			</div>
		</div>
		<?php
	}
}
?>