<?php
/**
 * The template to display the widgets area in the footer
 *
 * @package WordPress
 * @subpackage STEPHANIE_KING
 * @since STEPHANIE_KING 1.0.10
 */

// Footer sidebar
$stephanie_king_footer_name = stephanie_king_get_theme_option('footer_widgets');
$stephanie_king_footer_present = !stephanie_king_is_off($stephanie_king_footer_name) && is_active_sidebar($stephanie_king_footer_name);
if ($stephanie_king_footer_present) { 
	stephanie_king_storage_set('current_sidebar', 'footer');
	$stephanie_king_footer_wide = stephanie_king_get_theme_option('footer_wide');
	ob_start();
	if ( is_active_sidebar($stephanie_king_footer_name) ) {
		dynamic_sidebar($stephanie_king_footer_name);
	}
	$stephanie_king_out = trim(ob_get_contents());
	ob_end_clean();
	if (!empty($stephanie_king_out)) {
		$stephanie_king_out = preg_replace("/<\\/aside>[\r\n\s]*<aside/", "</aside><aside", $stephanie_king_out);
		$stephanie_king_need_columns = true;
		if ($stephanie_king_need_columns) {
			$stephanie_king_columns = max(0, (int) stephanie_king_get_theme_option('footer_columns'));
			if ($stephanie_king_columns == 0) $stephanie_king_columns = min(4, max(1, substr_count($stephanie_king_out, '<aside ')));
			if ($stephanie_king_columns > 1)
				$stephanie_king_out = preg_replace("/class=\"widget /", "class=\"column-1_".esc_attr($stephanie_king_columns).' widget ', $stephanie_king_out);
			else
				$stephanie_king_need_columns = false;
		}
		?>
		<div class="footer_widgets_wrap widget_area<?php echo !empty($stephanie_king_footer_wide) ? ' footer_fullwidth' : ''; ?> sc_layouts_row  sc_layouts_row_type_normal">
			<div class="footer_widgets_inner widget_area_inner">
				<?php 
				if (!$stephanie_king_footer_wide) { 
					?><div class="content_wrap"><?php
				}
				if ($stephanie_king_need_columns) {
					?><div class="columns_wrap"><?php
				}
				do_action( 'stephanie_king_action_before_sidebar' );
				stephanie_king_show_layout($stephanie_king_out);
				do_action( 'stephanie_king_action_after_sidebar' );
				if ($stephanie_king_need_columns) {
					?></div><!-- /.columns_wrap --><?php
				}
				if (!$stephanie_king_footer_wide) {
					?></div><!-- /.content_wrap --><?php
				}
				?>
			</div><!-- /.footer_widgets_inner -->
		</div><!-- /.footer_widgets_wrap -->
		<?php
	}
}
?>