<?php
/**
 * The template to display the page title and breadcrumbs
 *
 * @package WordPress
 * @subpackage STEPHANIE_KING
 * @since STEPHANIE_KING 1.0
 */

// Page (category, tag, archive, author) title
$stephanie_king_header_css = $stephanie_king_title_image = '';
if (empty($stephanie_king_title_image)) 
	$stephanie_king_title_image = stephanie_king_get_theme_option( 'title_image' );


if ( stephanie_king_need_page_title() ) {
	stephanie_king_sc_layouts_showed('title', true);
	stephanie_king_sc_layouts_showed('postmeta', false);
	?>
	<div class="top_panel_title sc_layouts_row sc_layouts_row_type_normal sc_layouts_row_background scheme_dark default_image<?php if ($stephanie_king_title_image!='') echo ' '.esc_attr(stephanie_king_add_inline_css_class('background-image: url('.esc_url($stephanie_king_title_image).') !important;'));?>


	 ">
		<div class="content_wrap">
			<div class="sc_layouts_column sc_layouts_column_align_left">
				<div class="sc_layouts_item">
					<div class="sc_layouts_title sc_align_left">
						<?php
						
						// Blog/Post title
						?><div class="sc_layouts_title_title"><?php
							$stephanie_king_blog_title = stephanie_king_get_blog_title();
							$stephanie_king_blog_title_text = $stephanie_king_blog_title_class = $stephanie_king_blog_title_link = $stephanie_king_blog_title_link_text = '';
							if (is_array($stephanie_king_blog_title)) {
								$stephanie_king_blog_title_text = $stephanie_king_blog_title['text'];
								$stephanie_king_blog_title_class = !empty($stephanie_king_blog_title['class']) ? ' '.$stephanie_king_blog_title['class'] : '';
								$stephanie_king_blog_title_link = !empty($stephanie_king_blog_title['link']) ? $stephanie_king_blog_title['link'] : '';
								$stephanie_king_blog_title_link_text = !empty($stephanie_king_blog_title['link_text']) ? $stephanie_king_blog_title['link_text'] : '';
							} else
								$stephanie_king_blog_title_text = $stephanie_king_blog_title;
							?>
							<h1 class="sc_layouts_title_caption<?php echo esc_attr($stephanie_king_blog_title_class); ?>"><?php
								$stephanie_king_top_icon = stephanie_king_get_category_icon();
								if (!empty($stephanie_king_top_icon)) {
									$stephanie_king_attr = stephanie_king_getimagesize($stephanie_king_top_icon);
									?><img src="<?php echo esc_url($stephanie_king_top_icon); ?>" alt="'.esc_attr__('icon', 'stephanie-king').'" <?php if (!empty($stephanie_king_attr[3])) stephanie_king_show_layout($stephanie_king_attr[3]);?>><?php
								}
								echo wp_kses_post($stephanie_king_blog_title_text);
							?></h1>
							<?php
							if (!empty($stephanie_king_blog_title_link) && !empty($stephanie_king_blog_title_link_text)) {
								?><a href="<?php echo esc_url($stephanie_king_blog_title_link); ?>" class="theme_button theme_button_small sc_layouts_title_link"><?php echo esc_html($stephanie_king_blog_title_link_text); ?></a><?php
							}
							
							// Category/Tag description
							if ( is_category() || is_tag() || is_tax() ) 
								the_archive_description( '<div class="sc_layouts_title_description">', '</div>' );
		
						?></div><?php
	
						// Breadcrumbs
						?><div class="sc_layouts_title_breadcrumbs"><?php
							do_action( 'stephanie_king_action_breadcrumbs');
						?></div>
					</div>
				</div>
			</div>
		</div>
	</div>
	<?php
}
?>