<?php
/**
 * The template to display the background video in the header
 *
 * @package WordPress
 * @subpackage STEPHANIE_KING
 * @since STEPHANIE_KING 1.0.14
 */
$stephanie_king_header_video = stephanie_king_get_header_video();
$stephanie_king_embed_video = '';
if (!empty($stephanie_king_header_video) && !stephanie_king_is_from_uploads($stephanie_king_header_video)) {
	if (stephanie_king_is_youtube_url($stephanie_king_header_video) && preg_match('/[=\/]([^=\/]*)$/', $stephanie_king_header_video, $matches) && !empty($matches[1])) {
		?><div id="background_video" data-youtube-code="<?php echo esc_attr($matches[1]); ?>"></div><?php
	} else {
		global $wp_embed;
		if (false && is_object($wp_embed)) {
			$stephanie_king_embed_video = do_shortcode($wp_embed->run_shortcode( '[embed]' . trim($stephanie_king_header_video) . '[/embed]' ));
			$stephanie_king_embed_video = stephanie_king_make_video_autoplay($stephanie_king_embed_video);
		} else {
			$stephanie_king_header_video = str_replace('/watch?v=', '/embed/', $stephanie_king_header_video);
			$stephanie_king_header_video = stephanie_king_add_to_url($stephanie_king_header_video, array(
				'feature' => 'oembed',
				'controls' => 0,
				'autoplay' => 1,
				'showinfo' => 0,
				'modestbranding' => 1,
				'wmode' => 'transparent',
				'enablejsapi' => 1,
				'origin' => home_url('/'),
				'widgetid' => 1
			));
			$stephanie_king_embed_video = '<iframe src="' . esc_url($stephanie_king_header_video) . '" width="1170" height="658" allowfullscreen="0" frameborder="0"></iframe>';
		}
		?><div id="background_video"><?php stephanie_king_show_layout($stephanie_king_embed_video); ?></div><?php
	}
}
?>